# PhasicFlow: cGAbsoluteLinear< limited >::linearProperties Struct Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

cGAbsoluteLinear< limited >::linearProperties Struct Reference

## Public Member Functions

INLINE_FUNCTION_HD | linearProperties ()
INLINE_FUNCTION_HD | linearProperties (real kn, real kt, real en, real etha_t, real mu)
INLINE_FUNCTION_HD | linearProperties (const linearProperties &)=default
INLINE_FUNCTION_HD linearProperties & | operator= (const linearProperties &)=default
INLINE_FUNCTION_HD | ~linearProperties ()=default

## Public Attributes

real | kn_ = 1000.0
real | kt_ = 800.0
real | en_ = 0.0
real | ethat_ = 0.0
real | mu_ = 0.00001

## Detailed Description

### template<bool limited = true>
struct pFlow::cfModels::cGAbsoluteLinear< limited >::linearProperties

Definition at line 48 of file cGAbsoluteLinearCF.hpp.

## Constructor & Destructor Documentation

## linearProperties() [1/3]

INLINE_FUNCTION_HD linearProperties | ( |  | ) |

inline

Definition at line 57 of file cGAbsoluteLinearCF.hpp.

## linearProperties() [2/3]

INLINE_FUNCTION_HD linearProperties | ( | real | kn,
|  | real | kt,
|  | real | en,
|  | real | etha_t,
|  | real | mu
| ) |  |

inline

Definition at line 60 of file cGAbsoluteLinearCF.hpp.

## linearProperties() [3/3]

INLINE_FUNCTION_HD linearProperties | ( | const linearProperties & |  | ) |

default

## ~linearProperties()

INLINE_FUNCTION_HD ~linearProperties | ( |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD linearProperties& operator= | ( | const linearProperties & |  | ) |

default

## Member Data Documentation

## kn_

real kn_ = 1000.0

Definition at line 50 of file cGAbsoluteLinearCF.hpp.

## kt_

real kt_ = 800.0

Definition at line 51 of file cGAbsoluteLinearCF.hpp.

## en_

real en_ = 0.0

Definition at line 52 of file cGAbsoluteLinearCF.hpp.

## ethat_

real ethat_ = 0.0

Definition at line 53 of file cGAbsoluteLinearCF.hpp.

## mu_

real mu_ = 0.00001

Definition at line 54 of file cGAbsoluteLinearCF.hpp.

The documentation for this struct was generated from the following file:

- src/Interaction/Models/contactForce/cGAbsoluteLinearCF.hpp